package kr.co.vividnext.sodalive.live.room.create

import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.live.room.LiveRoomType

data class CreateLiveRoomRequest(
    @SerializedName("title") val title: String,
    @SerializedName("price") val price: Int = 0,
    @SerializedName("content") val content: String,
    @SerializedName("coverImageUrl") val coverImageUrl: String? = null,
    @SerializedName("isAdult") val isAdult: Boolean,
    @SerializedName("tags") val tags: List<String>,
    @SerializedName("numberOfPeople") val numberOfPeople: Int,
    @SerializedName("beginDateTimeString") val beginDateTimeString: String? = null,
    @SerializedName("timezone") val timezone: String,
    @SerializedName("type") val type: LiveRoomType,
    @SerializedName("password") val password: String? = null,
    @SerializedName("menuPanId") val menuPanId: Long = 0,
    @SerializedName("menuPan") val menuPan: String = "",
    @SerializedName("isActiveMenuPan") val isActiveMenuPan: Boolean = false
)
